# LIVE  python_strategies

## Steps to install Strategy Library for LIVE


```python

pip install breeze_strategies==1.0.4

```

## Updating Library

```python

pip install --upgrade breeze_strategies

```

## code usage

```python

#Import the library
from breeze_strategies import Strategies

#Configure the strategy using API Keys and set stoploss/takeprofit level.
obj = Strategies(app_key = "your app key",
                 secret_key = "your secret key",
                 api_session = "your api session",
                 max_profit = "your max profit",
                 max_loss = "your max loss")

#Execute the strategy
obj.straddle(strategy_type = "long",
             stock_code = "NIFTY",
             strike_price = "18700",
             quantity = "50",
             expiry_date = "2023-06-29T06:00:00.000Z")


#SquareOff existing positions and exit the strategy
obj.stop() 


#Generate Profit & Loss report
obj.get_pnl()

```

